# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

Local device (and optional directory tree) on which to mount the remote NFS file system. Specify this mount point as one of the following:

    DNFSn:
    DNFSn:[dir.subdir]
    DNFSn:[dir.subdir]file

where:

n | Value from 0 to 9999. Specifing 0 causes the client to choose the next available unit number. (It does not mount a device named DNFS0:.)
[ dir] or [ dir.subdir] | Directory to mount (up to eight in addition to the [000000] directory)
file | Individual file to mount

> Note

> Type the device name (mount_point) immediately after the keyword MOUNT.

### volume_label

Optional. Default: First 12 characters of the combined values of /HOST and /PATH qualifiers.
ODS-2 volume label used for the remote path name.
You can use this qualifier to provide a unique volume label on a system where there is a conflict. The client:

- Accepts only the first 12 characters for all other entries.
- Applies volume_label only on the first mount of a particular disk.
- Ignores volume_label with subsequent mounts on that disk.

### logical_name

Optional. Default: None.

Logical name associated with the volume.

The client creates the following logical definitions depending on what you specify.

- If you mount DNFSn:[000000], the client defines the logical name as DNFSn:
- If you mount DNFSn:[dir.dir], the client defines the logical name as DNFSn:[dir.dir.] The extra dot allows for relative directory specifications. If you issue

      $ SET DEFAULT logical:[subdir]

  the full default definition becomes:

      DNFSn:[dir.dir.subdir]

The client places the logical name in the SYSTEM logical name table, unless you specify the /GROUP or /SHARE qualifier. The client deletes the logical name from the SYSTEM table when you dismount the volume. The process must have SYSNAM privilege to mount a system mount point. Without SYSNAM or GRPNAM privilege, the user must specify /SHARE for a JOB mount. (See the /SHARE qualifier for more information.)

## QUALIFIERS

> ### /ACP_PARAMS= {BUFFER_LIMIT=n | DUMP | IO_DIRECT=n | IO_BUFFERED=n | MAX_WORKSET=pages | PAGE_FILE=file | PRIORITY=base-priority | WORKSET=pages}

> Optional.

> Modifiable process parameters for the ancillary control process (ACP).

> These parameters are dynamic. The NFS client applies your settings at each first start of an ACP.

> For descriptions of these options, see the section on RUN (PROCESS) in the OpenVMS DCL Dictionary.

> ### /ADF [= {CREATE | UPDATE | USE}]

> ### /NOADF

> Optional. Default: /ADF=CREATE.

> If Attributes Data Files (ADFs) exist on the NFS server, the /ADF qualifier lets you use them.

> The server uses ADFs to store OpenVMS file attributes. These files appear on the server as .$ADF$file files, but you cannot directly view them on the local client system.

> The options mean:

> - CREATE
>   The client uses and updates the ADFs, and creates ADFs for new files.
> - UPDATE
>   The client uses and updates the ADFs.
> - USE
>   The client uses the ADFs.

> /NOADF --- No ADFs are created.

> > Note

> > DIGITAL strongly recommends that you do not use /ADF=UPDATE or /ADF=USE.

> ### /AUTOMOUNT[=INACTIVITY:time]

> Optional. Defaults:

> For the MOUNT command: | No automounting
> For the /AUTOMOUNT qualifier: | /AUTOMOUNT=INACTIVITY:00:05:00 (5 minutes)

> Automatically mounts a file system when you access its path name.

> INACTIVITY=OpenVMS_delta_time means:

> - Optional.
> - Maximum inactive period for the mount attempt.
> - When this inactive period expires, the NFS client dismounts the path name.
> - Specify time as hh:mm:ss.

> ### /BACKGROUND [= {DELAY:OpenVMS_delta_time | RETRY:n}]

> Optional. Defaults:

> For the MOUNT command: | No background mode
> For the /BACKGROUND qualifier: | /BACKGROUND=(DELAY:00:00:30,RETRY:10)

> Attempts the mount in background mode. If the first attempt fails, the NFS client retries the mount after the delay time has passed for specified number of retries. The options mean:

> - DELAY:OpenVMS_delta_time
>   - Maximum delay period you can specify is approximately 49 days.
>   - Specify OpenVMS_delta_time as hh:mm:ss.
> - RETRY:n
>   - Number of attempts, if the first try fails, that the client makes to mount in background mode.
>   - RETRY:0 means that the client uses the first try only.

>   > Note

>   > If you use the /BACKGROUND qualifier, DIGITAL strongly recommends that you also use the /RETRIES qualifier specifying a non-zero value. For example,

>   >     $ UCX MOUNT DNFS0: /BACKGROUND=RETRY:9 /RETRIES=4 /HOST="robin" -
>   >     _$  /PATH="/USR/USERS/GEORGE"

>   > In this example, you are asking for four data retries on each mount attempt and nine mount attempts, for 36 tries in all. If you use the default value for /RETRIES, the first mount attempt can never complete except by succeeding, and the process doing the mount will hang until the server becomes available.

> ### /CACHE_TIMEOUT= [DIRECTORY:OpenVMS_delta_time | ATTRIBUTE:OpenVMS_delta_time | READ_DIRECTORY]

> Optional. Defaults: /CACHE_TIMEOUT=(DIRECTORY:00:00:30,ATTRIBUTE:00:00:15)

> Specifies the following caching timeout information for the mount point:

> - DIRECTORY:OpenVMS_delta_time
>   - Amount of time that the client waits between rereading a directory's status or contents.
>   - Specify OpenVMS_delta_time as hh:mm:ss.
> - ATTRIBUTE:OpenVMS_delta_time
>   - Amount of time that the client waits between rereading a file's attributes from the NFS server.
>   - Specify OpenVMS_delta_time as hh:mm:ss.
> - READ_DIRECTORY
>   - Forces the client to read the contents of the directory requested when the cache timeout occurs rather than relying on the directory's modified time.
>   - By reading the directory contents, the client can be aware of any changes to the number of files within the directory even if the directory's modify time was not updated.

> ### /CONVERT

> ### /NOCONVERT

> Optional. Default: /CONVERT.

> Converts files with the following attributes to STREAM_LF files:

> - Sequential
> - Variable-length
> - Carriage return carriage control (VAR-CR)

> The convert feature works with some utilities and DCL commands, but not with others. For example, it works with the CREATE command and with EDIT/TPU. It does not work with COPY, BACKUP, or EDIT/EDT. There is no simple way to identify what works. However, for the feature to take effect, the following conditions must be satisfied:

> - The file attributes must be sequential, variable length, and carriage return carriage control.
> - The file must be opened for exclusive write access (generally true for files being newly created).
> - The file must be opened with the FAB$M_SQO bit set in the FAB$L_FOP field.
> - The file creation and the open for write must be done in one step. That is, if the program first creates the file and afterwards opens it for write, the convert feature does not work.

> You can convert only those files opened using RMS sequential access. For additional information, see the DIGITAL TCP/IP Services for OpenVMS Management manual.

> ### /DATA [= {read_bytes | write_bytes}]

> Optional. Default: /DATA=(8192,8192).

> Largest amount of NFS data received or transmitted in one network operation. The options mean:

> - read_bytes --- Data received. Minimum value = 512.
> - write_bytes --- Data transmitted. Minimum value = 512.

> If you specify only one value, it applies to both READ and WRITE.

> > Note

> > You do not need to use /DATA unless a remote NFS server imposes a restriction on data size. If the server requests a smaller transfer size than you specified, the server's requested value overrides the one you set.

> ### /FILEIDS [= {UNIQUE | NONUNIQUE}]

> Optional. Default: /FILEIDS=UNIQUE.

> With UNIQUE, the client uses the file name and 32-bit NFS file ID when processing the directory information returned by the server to determine whether cached information is valid.

> With NONUNIQUE, the client uses the file handle instead of the file ID. This can refresh directory entries in the client's cache more quickly. However, this can degrade performance since the client must issue additional RPC requests to get the file handle.

> ### /FORCE

> ### /NOFORCE

> Optional. Default: /NOFORCE.

> Performs an overmount or a mount that can cause file system occlusion.

> Required privileges:

> - OPER
> - Overmounting a /SYSTEM mount requires SYSPRV privileges.
> - Overmounting a /GROUP mount requires GRPNAM privileges.

> ### /GID=n

> Optional. Default: --2.

> Default GID if no GID mapping exists for file access.

> Restriction: Requires OPER privileges.

> ### /GROUP

> Optional. Default: user-mounted.

> Adds the logical name to the group logical name table. If the mount is the first one on the volume, /GROUP marks the volume as being group-mounted.

> Restrictions:

> - Requires GRPNAM privileges.
> - /GROUP and /SYSTEM are mutually exclusive.

> ### /HOST=host

> Required.

> Remote NFS server on which the physical files reside. Type either domain-name or IP-address format.

> ### /OWNER_UIC=n

> Optional. Default: Ownership recorded on the volume.

> UIC-assigned ownership of the volume while you mount it.

> Applied only on the first mount of an NFS disk.

> ### /PATH="/path/name"

> Required.

> Path name on the NFS server (specified by /HOST). Must match an exported directory, subdirectory, or file of an exported file system on the server.

> The /path/name is mounted as the Master File Directory (MFD) of the specified device.

> ### /PROCESSOR= {UNIQUE | SAME:DNFSn: | FILE:file}

> Optional. Default: New ACP for each mount.

> Associates an ancillary control process (ACP) to process the volume, overriding the default manner in which the client associates ACPs with NFS devices (starting a new ACP for each mount request). The options are:

> - UNIQUE
>   - Creates a new ACP for the new NFS device.
>   - Requires OPER privileges.
> - SAME:DNFSn:
>   - Uses the same ACP as the specified device.
>   - Requires OPER privileges.
> - FILE:file
>   - Creates a new ACP running the image specified by file. Do not use wildcards, host names, or directory names.
>   - Requires CMKRNL or OPER privileges.

> ### /PROTECTION=protections

> Optional. Default: /PROTECTION=(S:RWED,O:RWED,G:RWED,W:RWED).

> Protection code for the volume. If you omit a category, the client denies access to that category of user.

> Applied only on the first mount of an NFS device and ignored with subsequent mounts on that device.

> Restrictions: Requires OPER privileges.

> ### /RETRIES=n

> Optional. Default: /RETRIES=0 (the client retries the request forever or until the server responds).

> Maximum number of read or write retries if the NFS server fails to respond.

> /RETRIES=0 is a close equivalent to a UNIX hard mount. If you attempt to abort a command or program while it is still retrying the I/O operation on a client device, the process enters RWAST state and remains in that state until the NFS server responds. A process in RWAST state cannot be terminated. If the server does not become available, the only way to rid the process without rebooting the client host, is to dismount the client device with the /ALL qualifier.

> ### /SERVER_TYPE=type

> Optional. Default: UNIX.

> Operating system of the host running NFS server. The values for type are:

> - UNIX
> - IBM_VM

> If the client is DIGITAL TCP/IP Services for OpenVMS Version V3.3 or later, this qualifier is ignored because the client and server always operate in VMS-to-VMS mode.

> ### /SHARE

> Places the logical name in the job logical name table and increments the volume mount count regardless of the number of job mounts. When the job logs out, all job mounts are dismounted, causing the volume mount count to be decremented. See the DIGITAL TCP/IP Services for OpenVMS Management manual for more information.

> ### /SUPERUSER=uid

> ### /NOSUPERUSER

> Optional. Default: /NOSUPERUSER.

> Maps users with SYSPRV, BYPASS, or READALL privileges to the superuser UID. The NFS server must allow superuser access.

> The normal superuser UID is 0.

> /NOSUPERUSER: No mapping.

> ### /SYSTEM

> Optional. Default: System-mounted.

> Places the logical name in the system logical name table unless you specify the /GROUP or /SHARE qualifier. The client deletes the logical name from the system table when you dismount the volume.

> Restrictions:

> - Requires SYSNAM privileges
> - The /GROUP, /SYSTEM, and /SHARE qualifiers are mutually exclusive.
> - Without SYSNAM or GRPNAM privilege, you must use /SHARE for a job mount.

> ### /TIMEOUT=OpenVMS_delta_time

> Optional. Default: ::01 (one second).

> Minimum timeout period for initial remote procedure call (RPC) request retransmissions. Use the format ::ss.

> Specify seconds as your estimate of the typical round-trip time for RPC requests. For slower-speed links --- for example, NFS traffic over SLIP --- specify a value that is larger than the default.

> Example: For a maximum read/write size of 8192 (see the /DATA qualifier) over a 19,200-baud SLIP line, set the absolute minimum timeout value as follows:

>     10240 bytes*8 bits per byte
>     --------------------------- = 4.27 seconds
>        19,200 bits per second

> Here, the 10240 bytes is 8192 data bytes plus the "worst case" RPC overhead. Because 4.27 seconds is the absolute minimum, a more realistic value for this link is 15 to 30 seconds to allow for other traffic.

> ### /UID=n

> Optional. Default: --2.

> Default UID if no UID mapping exists for file access.

> Restriction: Requires OPER privileges.

> > Important

> > Both the NFS server and NFS client use the proxy database for access control. DIGITAL strongly recommends that you provide a proxy with a unique UID for every NFS client user.

> > If you need to provide universal access to world-readable files, you can use the default UID to avoid the need to create a proxy for every NFS client user. You should avoid using the default UID if clients require additional file access; otherwise client users may see unpredictable and confusing results when they try to create files. See the DIGITAL TCP/IP Services for OpenVMS Management manual for a detailed discussion about using proxies, the default user, and security considerations.

> ### /USER=user

> Optional. Default: USER account.

> Existing OpenVMS account to which the NFS client maps unknown UIDs.

> If the client does not find:

> - The USER account --- the DECnet account becomes the default.
> - The DECnet account --- [200,200] becomes the default.

> ### /WRITE

> ### /NOWRITE

> Optional. Default: /WRITE.

> Mounts files with WRITE privileges.

> /NOWRITE mounts files as read-only.

##

### Examples

#1

    UCX> MOUNT DNFS2: /HOST="loon" /PATH="/usr/users/curlew"

> Mounts, on local device DNFS2:, the remote directory /usr/users/curlew, which resides on NFS server loon.

#2

    UCX> MOUNT DNFS3: /HOST="sigma" -
    _UCX> /PATH="/usr" /AUTO=(INACT:00:10:00)

> Using automounting, this command mounts the /usr file system from sigma onto the OpenVMS mount point when it references the path name. The client keeps the path mounted for an inactive period of 10 minutes, after which it dismounts the path name.

#3

    UCX> MOUNT DNFS4: /HOST="sigma" /PATH="/usr" -
    _UCX> /BACKGROUND=(DEL:00:01:00,RET:20) /RETRIES=4

> Attempts to mount the /usr file system. If it cannot, it waits 1 minute and retries the connection up to 20 times.

#4

    UCX> MOUNT DNFS5:[USERS.MNT] /HOST="sigma" /PATH="/usr"
    %DNFSMOUNT-S-MOUNTED, /usr mounted on _DNFS5:[USERS.MNT]

    UCX> MOUNT DNFS5:[USERS.MNT] /HOST="sigma" /PATH="/usr/users" /FORCE
    %DNFSMOUNT-S-REMOUNTED, _DNFS5:[USERS.MNT] remounted as /usr/users on SIGMA

> Specifies a lower level in the NFS server path with the second mount. This constitutes another path name and qualifies for an overmount.

#5

    UCX> MOUNT DNFS22:[USERS.SMITH.MNT] /HOST="sigma" /PATH="/usr"
    %DNFSMOUNT-S-MOUNTED, /usr mounted on _DNFS22:[USERS.SMITH.MNT]

    UCX> MOUNT DNFS22:[USERS.SMITH] /HOST="sigma" /PATH="/usr" /FORCE
    %DNFSMOUNT-S-MOUNTED, /usr mounted on _DFS22:[USERS.SMITH]
    %UCX-I-OCCLUDED, previous contents of _DNFS22:[USERS.SMITH] occluded

> The /FORCE qualifier performs an occluded mount. If you issue DIRECTORY, the NFS client occludes (hides from view) the subdirectory dropped from the first MOUNT command.

> To make the directory visible again, either issue a SHOW MOUNT command (both mounts will be visible) or dismount DNFS22:[USERS.SMITH].

# PING

> Sends ICMP ECHO packets to hosts to determine if they are active. Same as the LOOP command.

## Format

> ### PING host [/ALL | /NUMBER_PACKETS=n | /PACKET_SIZE=n | /[NO]ROUTE]

## Restrictions

> Requires OPER privileges.

## PARAMETERS

> ### host

> Optional. Default: None.

> Host to which the test packets are sent.
> Omitting host tests the local UCX software.

## QUALIFIERS

> ### /ALL

> Optional. Default: Not all requests.

> Displays all ICMP ECHO_REQUESTs, even if not in direct response to this operation.

> ### /NUMBER_PACKETS=n

> Optional. Default: 1 per second

> Number of packets to send.

> ### /PACKET_SIZE=n

> Optional. Default: 64 bytes.

> Size of the ICMP ECHO_REQUEST.

> ### /ROUTE

> ### /NOROUTE

> Optional. Default: /ROUTE.

> /ROUTE | Request is routed through the normal routing tables.
> /NOROUTE | Normal routing tables are bypassed. If the host is not on the LAN, you get an error.

##

### Examples

#1

    UCX> PING dented

> Specifies that the local host test the connectivity path to host dented.

# REMOVE DIRECTORY

> Removes a link to a directory within a UNIX-style container directory. If there are no other links to it, the directory is deleted.

> Related commands: CREATE DIRECTORY, DIRECTORY

> Applies to: NFS server

## Format

> ### REMOVE DIRECTORY "/path/name"

## Restrictions

> - Requires read and write access to the parent directory.
> - Requires BYPASS privileges.

## PARAMETERS

> ### "/path/name"

> Required.

> Directory with the link you want to remove.

##

### Examples

#1

    UCX> REMOVE DIRECTORY "/eagles/eaglet"

> Removes a link to the directory /eagles/eaglet.

# REMOVE EXPORT

> Deletes UNIX-style container directory names from the export database.

> Related commands: ADD EXPORT, SHOW EXPORT

> Applies to: NFS server

## Format

> ### REMOVE EXPORT "/path/name" [/[NO]CONFIRM | /HOST=host]

## Restrictions

> Requires read and write access to the export database.

## PARAMETERS

> ### "/path/name"

> Required.

> Directory name to delete from the export database.

## QUALIFIERS

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /CONFIRM if you use a wildcard.

> When the software encounters a match, it displays a description and solution and then requests confirmation before deleting each record. Enter one of the following:

> - Y to delete the record
> - N to save the record
> - G to change to NO CONFIRMATION mode

> ### /HOST=host

> Optional. Default: /HOST=* (all hosts).

> Host, running NFS client, that will become unable to access the specified container directory.

> Format for multiple hosts:

> /HOST=("host0","host1", "host2" )

##

### Examples

#1

    UCX> REMOVE EXPORT "/house/finch"

> Removes the name of container directory /house/finch from the export database. This directory is now inaccessible to NFS client users.

#2

    UCX> REMOVE EXPORT "/oceans/swamps" /HOST=("tern","crane")

> Modifies the accessibility of local UNIX-style directory /oceans/swamps. This directory is now unavailable to users working on hosts tern and crane, which run NFS client software.

# REMOVE FILE

> Removes a link to a file within a UNIX-style container directory. If there are no other links to it, the file is deleted.

> Related commands: DIRECTORY, REMOVE DIRECTORY

> Applies to: NFS server

## Format

> ### REMOVE FILE "/path/name"

## Restrictions

> - Requires read and write access to the parent directory.
> - Requires BYPASS privileges.

## PARAMETERS

> ### "/path/name"

> Required.

> File with the link you want to remove.

##

### Examples

#1

    UCX> REMOVE FILE "/peacock/feather.care/preening"

> Removes the NFS link to the file preening.

# REMOVE MAIL

> Deletes mail messages from SMTP queues.

> Without the user parameter, all messages from the user name that correspond to your process's user name are deleted.

> Related commands: SEND MAIL, SHOW MAIL

> Applies to: SMTP

## Format

> ### REMOVE MAIL [user] [/[NO]COPY=[directory] | /[NO]CONFIRM | /ENTRY=n]

## Restrictions

> Requires SYSPRV or BYPASS privileges for mail messages that are not yours.

## PARAMETERS

> ### user

> Optional. Default: All mail messages with your process's user name.

> Removes messages sent from the specified user name.

## QUALIFIERS

> ### /COPY=[directory]

> ### /NOCOPY=[directory]

> Optional. Default: Messages copied to the user's default directory.

> Copies messages to be deleted to the specified directory.

> /NOCOPY: Messages are not copied.

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Defaults:
> - With an entry number specified --- /NOCONFIRM
> - Without an entry number specified --- /CONFIRM

> If you omit an entry number, requests confirmation before deleting each message. Enter:

> - Y to delete the mail message
> - N to save the mail message
> - G to change to NO CONFIRMATION mode

> ### /ENTRY=n

> Optional. Default: All.

> Queue entry numbers to remove from the SMTP queue.

##

### Examples

#1

    UCX> REMOVE MAIL

> Removes all messages for your process's user name, or deletes everything in the SMTP queue if you have either SYSPRV or BYPASS privileges.

#2

    UCX> REMOVE MAIL /ENTRY=781

> Removes message 781, if it corresponds to your process's user name, or if you have either SYSPRV or BYPASS privileges.

#3

    UCX> REMOVE MAIL BROOD

> Removes all messages for BROOD, if your process's user name is BROOD, or if you have either SYSPRV or BYPASS privileges.

#4

    UCX> REMOVE MAIL /USER_NAME=COCKATOO /COPY=[COCKATOO.OLD_MAIL]

> Removes all messages for COCKATOO, if this is your process's user name, or if you have either SYSPRV or BYPASS privileges. Before deletion, copies this queued mail to the specified directory.

# REMOVE PROXY

> Deletes entries from the volatile and permanent proxy database.

> Related commands: ADD PROXY, SHOW PROXY

> Applies to: NFS server, NFS client, PC-NFS, Remote Shell, LPR/LPD, and customer-developed services

## Format

> ### REMOVE PROXY [user_name] [/COMMUNICATION | /[NO]CONFIRM | /GID=n | /HOST=host | /NFS=options | /PERMANENT | /REMOTE_USER=user | /UID=n]

## Restrictions

> Requires:
> - Read and write access to the proxy database.
> - One of the following:
>   - SYSPRV privileges.
>   - BYPASS and OPER privileges.

## PARAMETERS

> ### user_name

> Optional. Default: All entries (REMOVE PROXY *).

> Previous | Next | Contents